Index: TXM/trunk/org.txm.tigersearch.rcp/.settings/org.eclipse.jdt.groovy.core.prefs
===================================================================
--- TXM/trunk/org.txm.tigersearch.rcp/.settings/org.eclipse.jdt.groovy.core.prefs	(revision 3627)
+++ TXM/trunk/org.txm.tigersearch.rcp/.settings/org.eclipse.jdt.groovy.core.prefs	(revision 3628)
@@ -1,3 +1,2 @@
 eclipse.preferences.version=1
-groovy.compiler.level=30
-groovy.script.filters=**/*.dsld,y,**/*.gradle,n
+groovy.compiler.level=40
Index: TXM/trunk/org.txm.tigersearch.rcp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.tigersearch.rcp/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.tigersearch.rcp/META-INF/MANIFEST.MF	(revision 3628)
@@ -9,7 +9,7 @@
  org.txm.treesearch.rcp;bundle-version="1.0.0";visibility:=reexport
 Bundle-ActivationPolicy: lazy
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: %Bundle-Vendor
 Import-Package: ims.tiger.gui.tigergraphviewer.forest
 Export-Package: ims.jmanual,ims.tiger.corpus,ims.tiger.export,ims.tige
@@ -47,4 +47,4 @@
  .
 Bundle-Activator: tigersearch4txm.Activator
 Automatic-Module-Name: org.txm.tigersearch.rcp
-
+Eclipse-BundleShape: dir
Index: TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/export/ts/MatchInject.groovy
===================================================================
--- TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/export/ts/MatchInject.groovy	(revision 3627)
+++ TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/export/ts/MatchInject.groovy	(revision 3628)
@@ -1,9 +1,9 @@
 #! /usr/bin/groovy
 package org.txm.export.ts;
 
+import groovy.xml.XmlSlurper
 import org.xml.sax.XMLReader;
 import org.xml.sax.helpers.XMLReaderFactory;
-import groovy.util.*
 
 //import groovy.util.slurpersupport.NodeChild
 

Index: TXM/trunk/org.txm.wordcloud.core/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.wordcloud.core/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.wordcloud.core/META-INF/MANIFEST.MF	(revision 3628)
@@ -10,7 +10,7 @@
  ="1.0.0";visibility:=reexport,org.txm.index.core;bundle-version="1.0.
  0";visibility:=reexport
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.wordcloud.core
 

Index: TXM/trunk/org.txm.libs.javafx.macosx/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.libs.javafx.macosx/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.libs.javafx.macosx/META-INF/MANIFEST.MF	(revision 3628)
@@ -4,7 +4,7 @@
 Bundle-SymbolicName: org.txm.libs.javafx.macosx
 Bundle-Version: 1.0.0.qualifier
 Automatic-Module-Name: org.txm.libs.javafx.macosx
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-ClassPath: jfxswt.jar,
  jfxrt.jar
 Export-Package: com.sun.deploy.uitoolkit.impl.fx,

Index: TXM/trunk/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/preferences/CQPPreferencePage.java
===================================================================
--- TXM/trunk/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/preferences/CQPPreferencePage.java	(revision 3627)
+++ TXM/trunk/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/preferences/CQPPreferencePage.java	(revision 3628)
@@ -52,6 +52,9 @@
  */
 public class CQPPreferencePage extends TXMPreferencePage {
 
+	/** CQL fix query strategy: tokenize string or not */
+	private BooleanFieldEditor cql_fix_query_tokenize;
+	
 	/** The cqi_server_is_remote. */
 	private BooleanFieldEditor cqi_use_network;
 
@@ -113,6 +116,8 @@
 		
 		cqi_server_path_to_init_file = new FileFieldEditor(CQPLibPreferences.CQI_SERVER_PATH_TO_INIT_FILE, CQPUIMessages.pathToCWBServerInitializationFile, getFieldEditorParent());
 		cqi_server_additional_options = new StringFieldEditor(CQPLibPreferences.CQI_SERVER_ADDITIONAL_OPTIONS, CQPUIMessages.additionalAmpoptionsForTheCWBServerColon, getFieldEditorParent());
+		
+		cql_fix_query_tokenize = new BooleanFieldEditor(CQPLibPreferences.QUERY_FIX_TOKENIZE, "When fixing CQL, tokenize the value", BooleanFieldEditor.DEFAULT, getFieldEditorParent());
 
 		addField(cqi_use_network);
 		addField(cqi_server_path_to_cqplib);
@@ -125,6 +130,7 @@
 //		addField(cqi_server_path_to_registry);
 		addField(cqi_server_path_to_init_file);
 		addField(cqi_server_additional_options);
+		addField(cql_fix_query_tokenize);
 
 		Preferences preferences = org.eclipse.core.runtime.preferences.InstanceScope.INSTANCE.getNode(Application.PLUGIN_ID);
 		boolean useNetwork = preferences.getBoolean(CQPLibPreferences.CQI_NETWORK_MODE, false);
Index: TXM/trunk/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/adapters/CorpusAdapterFactory.java
===================================================================
--- TXM/trunk/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/adapters/CorpusAdapterFactory.java	(revision 3627)
+++ TXM/trunk/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/adapters/CorpusAdapterFactory.java	(revision 3628)
@@ -15,7 +15,6 @@
 import org.txm.rcp.adapters.TXMResultAdapter;
 import org.txm.rcp.adapters.TXMResultAdapterFactory;
 import org.txm.searchengine.cqp.corpus.CQPCorpus;
-import org.txm.searchengine.cqp.corpus.MainCorpus;
 import org.txm.searchengine.cqp.corpus.Partition;
 
 
Index: TXM/trunk/org.txm.searchengine.cqp.rcp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.searchengine.cqp.rcp/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.searchengine.cqp.rcp/META-INF/MANIFEST.MF	(revision 3628)
@@ -8,11 +8,11 @@
 Bundle-SymbolicName: org.txm.searchengine.cqp.rcp;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Bundle-Name: %Bundle-Name
-Require-Bundle: org.txm.rcp;bundle-version="0.8.0";visibility:=reexport,
+Require-Bundle: org.txm.rcp;bundle-version="0.8.3";visibility:=reexport,
  org.txm.searchengine.cqp.core;bundle-version="1.1.0";visibility:=reexport,
  org.txm.searchengine.rcp;bundle-version="1.0.0";visibility:=reexport
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.searchengine.cqp.rcp
 

Index: TXM/trunk/org.txm.chartsengine.core/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.chartsengine.core/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.chartsengine.core/META-INF/MANIFEST.MF	(revision 3628)
@@ -5,10 +5,10 @@
 Bundle-SymbolicName: org.txm.chartsengine.core;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Bundle-Name: Charts Engine Core
-Require-Bundle: org.txm.core;bundle-version="0.8.0";visibility:=reexpo
+Require-Bundle: org.txm.core;bundle-version="0.8.3";visibility:=reexpo
  rt
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.chartsengine.core
 
Index: TXM/trunk/org.txm.chartsengine.core/src/org/txm/chartsengine/core/results/ChartResult.java
===================================================================
--- TXM/trunk/org.txm.chartsengine.core/src/org/txm/chartsengine/core/results/ChartResult.java	(revision 3627)
+++ TXM/trunk/org.txm.chartsengine.core/src/org/txm/chartsengine/core/results/ChartResult.java	(revision 3628)
@@ -190,7 +190,7 @@
 		try {
 			Log.finest("*** ChartResult._compute(): " + this.getClass().getSimpleName() + ": starting computing process...");
 			
-			boolean computingParametersChanged = super.hasParameterChanged();
+			boolean computingParametersChanged = super.hasParametersChanged();
 			boolean renderingParametersChanged = this.hasRenderingParameterChanged();
 			
 			if (this.isDirty()) {
@@ -408,12 +408,14 @@
 	 * @throws Exception
 	 */
 	protected boolean hasRenderingParameterChanged() throws Exception {
-		return this.hasParameterChanged(this.getLastParametersFromHistory(), Parameter.RENDERING);
+		HashMap<String, Object> p = this.getLastParametersFromHistory();
+		if (p == null) return false;
+		return this.hasParametersChanged(p, Parameter.RENDERING);
 	}
 	
 	@Override
-	public boolean hasParameterChanged() throws Exception {
-		return super.hasParameterChanged() || this.hasRenderingParameterChanged();
+	public boolean hasParametersChanged() throws Exception {
+		return super.hasParametersChanged() || this.hasRenderingParameterChanged();
 	}
 	
 	// @Override

Index: TXM/trunk/org.txm.annotation.core/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.annotation.core/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.annotation.core/META-INF/MANIFEST.MF	(revision 3628)
@@ -1,11 +1,10 @@
 Manifest-Version: 1.0
 Automatic-Module-Name: org.txm.annotation.core
 Bundle-SymbolicName: org.txm.annotation.core;singleton:=true
-Require-Bundle: org.txm.core;bundle-version="0.7.0";visibility:=reexport,
- org.txm.tokenizer.core
+Require-Bundle: org.txm.core;bundle-version="0.7.0";visibility:=reexport
 Bundle-ActivationPolicy: lazy
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Export-Package: org.txm.annotation.core,org.txm.annotation.core.prefer
  ences

Index: TXM/trunk/org.txm.searchengine.cqp.core/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.searchengine.cqp.core/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.searchengine.cqp.core/META-INF/MANIFEST.MF	(revision 3628)
@@ -14,12 +14,12 @@
 Bundle-SymbolicName: org.txm.searchengine.cqp.core;singleton:=true
 Bundle-Version: 1.1.0.qualifier
 Bundle-Name: %Bundle-Name
-Bundle-ClassPath: res/,.
+Bundle-ClassPath: .
 Require-Bundle: org.txm.searchengine.core;bundle-version="1.0.0";visib
  ility:=reexport,org.txm.libs.cqp;bundle-version="1.0.0";visibility:=r
  eexport
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: %Bundle-Vendor
 Automatic-Module-Name: org.txm.searchengine.cqp.core
 
Index: TXM/trunk/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/query/CQLQuery.java
===================================================================
--- TXM/trunk/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/query/CQLQuery.java	(revision 3627)
+++ TXM/trunk/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/query/CQLQuery.java	(revision 3628)
@@ -27,17 +27,17 @@
 //
 package org.txm.searchengine.cqp.corpus.query;
 
-import java.util.ArrayList;
 import java.util.List;
 import java.util.regex.Matcher;
 import java.util.regex.Pattern;
 
 import org.apache.commons.lang.StringUtils;
-import org.txm.core.preferences.TXMPreferences;
+import org.txm.libs.cqp.CQPLibPreferences;
 import org.txm.searchengine.core.IQuery;
 import org.txm.searchengine.core.Query;
 import org.txm.searchengine.core.SearchEngine;
 import org.txm.searchengine.core.SearchEnginesManager;
+import org.txm.searchengine.cqp.CQPPreferences;
 import org.txm.searchengine.cqp.CQPSearchEngine;
 import org.txm.tokenizer.SimpleStringTokenizer;
 
@@ -261,16 +261,20 @@
 				return query; // probably [] or [...]
 			}
 			else {
-				
-				List<List<String>> sentences = new SimpleStringTokenizer(lang).processText(query);
-				StringBuilder buffer = new StringBuilder();
-				for (List<String> sent : sentences) {
-					for (String word : sent) {
-						buffer.append(" \""+addBackSlash(word)+"\"");
+				if (CQPLibPreferences.getInstance().getBoolean(CQPLibPreferences.QUERY_FIX_TOKENIZE)) {
+					List<List<String>> sentences = new SimpleStringTokenizer(lang).processText(query);
+					StringBuilder buffer = new StringBuilder();
+					for (List<String> sent : sentences) {
+						for (String word : sent) {
+							buffer.append(" \""+addBackSlash(word)+"\"");
+						}
 					}
+					return buffer.substring(1);
+				} else {
+					return '"' + query + '"'; // $NON-NLS-1$
 				}
-				return buffer.substring(1);
 				
+				
 //				query = normalizeWhiteChars(query);
 //				return '"' + StringUtils.join(query.split(" "), "\" \"") + '"'; // $NON-NLS-1$
 			}
Index: TXM/trunk/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/MemCqiServer.java
===================================================================
--- TXM/trunk/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/MemCqiServer.java	(revision 3627)
+++ TXM/trunk/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/MemCqiServer.java	(revision 3628)
@@ -44,6 +44,7 @@
 import org.txm.searchengine.cqp.serverException.CqiCqpErrorNoSuchCorpus;
 import org.txm.searchengine.cqp.serverException.CqiServerError;
 import org.txm.utils.ExecTimer;
+import org.txm.utils.OSDetector;
 import org.txm.utils.logger.Log;
 
 /**
@@ -163,8 +164,8 @@
 		
 		if (!isLoaded) {
 			
-			Field LIBRARIES = ClassLoader.class.getDeclaredField("loadedLibraryNames"); //$NON-NLS-1$
-			LIBRARIES.setAccessible(true);
+//			Field LIBRARIES = ClassLoader.class.getDeclaredField("loadedLibraryNames"); //$NON-NLS-1$
+//			LIBRARIES.setAccessible(true);
 			
 			// FIXME: Debug
 			// System.err.println(">>>>>>>>>>>>>>>>>>>> MemCqiServer.start() " + this.getClass().getClassLoader());
@@ -177,27 +178,35 @@
 					return false;
 				}
 				String path = System.getProperty("java.library.path"); //$NON-NLS-1$
-				String libpath = System.getProperty("path.separator") + cqplibpath; //$NON-NLS-1$
+//				String libpath = System.getProperty("path.separator") + cqplibpath; //$NON-NLS-1$
+//				
+//				if (!path.contains(libpath)) {
+//					path += libpath;
+//				}
+//				System.setProperty("java.library.path", path); //$NON-NLS-1$
+//				// System.out.println("Current java.library.path "+System.getProperty("java.library.path"));
+//				
+//				// this is a hack to force the JVM to reload java.library.path
+//				Field fieldSysPath = ClassLoader.class.getDeclaredField("sys_paths"); //$NON-NLS-1$
+//				fieldSysPath.setAccessible(true);
+//				fieldSysPath.set(null, null);
 				
-				if (!path.contains(libpath)) {
-					path += libpath;
+				
+				//System.loadLibrary("cqpjni"); //$NON-NLS-1$
+				if (OSDetector.isFamilyWindows()) {
+					System.load(cqplibpath+"/cqpjni.dll");
+				} else if (OSDetector.isFamilyMac()) {
+					System.load(cqplibpath+"/libcqpjni.dylib");
+				} else {
+					System.load(cqplibpath+"/libcqpjni.so");
 				}
-				System.setProperty("java.library.path", path); //$NON-NLS-1$
-				// System.out.println("Current java.library.path "+System.getProperty("java.library.path"));
 				
-				// this is a hack to force the JVM to reload java.library.path
-				Field fieldSysPath = ClassLoader.class.getDeclaredField("sys_paths"); //$NON-NLS-1$
-				fieldSysPath.setAccessible(true);
-				fieldSysPath.set(null, null);
-				
-				System.loadLibrary("cqpjni"); //$NON-NLS-1$
 				// FIXME: SJ: tests to use absolute path rather than lib name in Linux.
 				// It works and may avoid some problems about the JRE versions (e.g. Oracle or OpenJDK) and PATH configurations, but need to have the lib filename for each OS
 				// System.load(cqplibpath + "libcqpjni.so"); //$NON-NLS-1$
 				
 				Log.fine("cqpjni loaded from dirs: " + path + ".");
 				isLoaded = true;
-				
 			}
 			catch (Throwable e) {
 				Log.severe("MemCqiServer: Failed to load CQP lib with exception: " + e);
@@ -481,7 +490,7 @@
 	public static void main(String[] args) throws Exception {
 		String pathToCQPLibDirectory = "/home/mdecorde/workspace047/org.txm.libs.cqp.linux/res/linux64/";
 		String cqpserverPathToExecutable = pathToCQPLibDirectory + "cqpserver";
-		String pathToRegistry = System.getProperty("user.home") + "TXM-0.8.2/corpora/DEMOCRATLYON5/registry";
+		String pathToRegistry = System.getProperty("user.home") + "TXM-0.8.3/corpora/DEMOCRATLYON5/registry";
 		String pathToInitFile = System.getProperty("user.home") + "workspace047/org.txm.libs.cqp.linux/res/cqpserver.init";
 		
 		String corpus = "DEMOCRATLYON5";
Index: TXM/trunk/org.txm.referencer.core/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.referencer.core/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.referencer.core/META-INF/MANIFEST.MF	(revision 3628)
@@ -9,7 +9,7 @@
  org.txm.searchengine.cqp.core;bundle-version="1.1.0";visibility:=reexport,
  org.eclipse.jface
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.referencer.core
 

Index: TXM/trunk/org.txm.para.core/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.para.core/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.para.core/META-INF/MANIFEST.MF	(revision 3628)
@@ -7,7 +7,7 @@
  isibility:=reexport
 Bundle-ActivationPolicy: lazy
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.para.core
 

Index: TXM/trunk/org.txm.specificities.core/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.specificities.core/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.specificities.core/META-INF/MANIFEST.MF	(revision 3628)
@@ -11,7 +11,7 @@
  ility:=reexport,org.txm.progression.core;bundle-version="1.0.0";visib
  ility:=reexport
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.specificities.core
 

Index: TXM/trunk/org.txm.statsengine.core/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.statsengine.core/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.statsengine.core/META-INF/MANIFEST.MF	(revision 3628)
@@ -7,7 +7,7 @@
 Require-Bundle: org.txm.core;bundle-version="0.7.0";visibility:=reexpo
  rt
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.statsengine.core
 

Index: TXM/trunk/org.txm.groovy.core/.settings/org.eclipse.jdt.groovy.core.prefs
===================================================================
--- TXM/trunk/org.txm.groovy.core/.settings/org.eclipse.jdt.groovy.core.prefs	(revision 3627)
+++ TXM/trunk/org.txm.groovy.core/.settings/org.eclipse.jdt.groovy.core.prefs	(revision 3628)
@@ -1,3 +1,3 @@
 eclipse.preferences.version=1
-groovy.compiler.level=30
+groovy.compiler.level=40
 groovy.script.filters=**/*.dsld,y,**/*.gradle,n
Index: TXM/trunk/org.txm.groovy.core/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.groovy.core/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.groovy.core/META-INF/MANIFEST.MF	(revision 3628)
@@ -4,14 +4,14 @@
 Bundle-Version: 1.0.0.qualifier
 Bundle-Name: Macro
 Bundle-ClassPath: .,bin/
-Require-Bundle: org.txm.core;bundle-version="0.8.0";visibility:=reexport,
+Require-Bundle: org.txm.core;bundle-version="0.8.3";visibility:=reexport,
  org.txm.annotation.core;visibility:=reexport,
  org.txm.searchengine.cqp.core;visibility:=reexport,
  org.txm.tokenizer.core;visibility:=reexport,
  org.eclipse.osgi;visibility:=reexport
 Bundle-ActivationPolicy: lazy
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.groovy.core
-
+Eclipse-BundleShape: dir
Index: TXM/trunk/org.txm.groovy.core/src/java/org/txm/groovy/core/GroovyScriptedImportEngine.java
===================================================================
--- TXM/trunk/org.txm.groovy.core/src/java/org/txm/groovy/core/GroovyScriptedImportEngine.java	(revision 3627)
+++ TXM/trunk/org.txm.groovy.core/src/java/org/txm/groovy/core/GroovyScriptedImportEngine.java	(revision 3628)
@@ -142,12 +142,12 @@
 					
 					// Log.info(GroovyMessages.restartingToolboxSearchengines);
 					// Toolbox.getEngineManager(EngineType.SEARCH).restartEngines();
-					if (project.getDoUpdate()) {
-						System.out.println(NLS.bind(TXMCoreMessages.corpusUpdateDoneInP0, ExecTimer.stop()));
-					}
-					else {
-						System.out.println(NLS.bind(TXMCoreMessages.corpusImportDoneInP0, ExecTimer.stop()));
-					}
+//					if (project.getDoUpdate()) {
+//						System.out.println(NLS.bind(TXMCoreMessages.corpusUpdateDoneInP0, ExecTimer.stop()));
+//					}
+//					else {
+//						System.out.println(NLS.bind(TXMCoreMessages.corpusImportDoneInP0, ExecTimer.stop()));
+//					}
 					
 				}
 				else {
Index: TXM/trunk/org.txm.groovy.core/src/java/org/txm/groovy/core/GroovyImportEngine.java
===================================================================
--- TXM/trunk/org.txm.groovy.core/src/java/org/txm/groovy/core/GroovyImportEngine.java	(revision 3627)
+++ TXM/trunk/org.txm.groovy.core/src/java/org/txm/groovy/core/GroovyImportEngine.java	(revision 3628)
@@ -11,6 +11,7 @@
 import org.txm.core.engines.ScriptedImportEngine;
 import org.txm.objects.Project;
 import org.txm.utils.io.IOUtils;
+import org.txm.utils.logger.Log;
 
 public class GroovyImportEngine extends ImportEngine {
 	
@@ -26,6 +27,7 @@
 		File importsPackageDirectory = new File(Toolbox.getTxmHomePath(), "scripts/groovy/user/org/txm/scripts/importer"); //$NON-NLS-1$
 		
 		if (!importsPackageDirectory.exists()) {
+			Log.warning("No script directory found: "+importsPackageDirectory);
 			return false;
 		}
 		for (File dir : importsPackageDirectory.listFiles(IOUtils.HIDDENFILE_FILTER)) {
Index: TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/edition/ImportAlignedEditionMacro.groovy
===================================================================
--- TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/edition/ImportAlignedEditionMacro.groovy	(revision 3627)
+++ TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/edition/ImportAlignedEditionMacro.groovy	(revision 3628)
@@ -116,7 +116,7 @@
 	dest_edition = new Edition(dest_text)
 	dest_edition.setName(destination_edition_name)
 	dest_edition.saveParameter("corpus", destination_corpus.getID())
-	dest_edition.pPageNames = src_edition.pPageNames // replace with getter&setter when published in TXM 0.8.2
+	dest_edition.pPageNames = src_edition.pPageNames // replace with getter&setter when published in TXM 0.8.3+
 	dest_edition.pPageFirstWordIds = src_edition.pPageFirstWordIds
 	dest_edition.compute(false)
 	
Index: TXM/trunk/org.txm.lexicaltable.rcp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.lexicaltable.rcp/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.lexicaltable.rcp/META-INF/MANIFEST.MF	(revision 3628)
@@ -9,7 +9,7 @@
  .lexicaltable.core;bundle-version="1.0.0";visibility:=reexport
 Bundle-ActivationPolicy: lazy
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.lexicaltable.rcp
 
Index: TXM/trunk/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor.java
===================================================================
--- TXM/trunk/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor.java	(revision 3627)
+++ TXM/trunk/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor.java	(revision 3628)
@@ -743,8 +743,6 @@
 			int i = (int) o;
 			selectedEntries.add(rowNames[i]);
 		}
-		System.out.println("selection before sort: "+currentSelection);
-		System.out.println("selection entries before sort: "+selectedEntries);
 
 		if (index == previousSortedCol) {
 			reverse = !reverse;
@@ -773,10 +771,11 @@
 		List<Integer> newSelection = new ArrayList<Integer>();
 		if (selectedEntries.size() > 0) {
 			for (int i = 0 ; i < rowNames.length ; i++) {
-				if (selectedEntries.contains(rowNames[i])) {
+				if (selectedEntries.remove(rowNames[i])) {
 					newSelection.add(i);
-					System.out.println("found: "+rowNames[i]);
+					
 				}
+				if (selectedEntries.size() == 0) break;
 			}
 		}
 

Index: TXM/trunk/org.txm.statsengine.r.core.win32/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.statsengine.r.core.win32/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.statsengine.r.core.win32/META-INF/MANIFEST.MF	(revision 3628)
@@ -4,7 +4,8 @@
 Bundle-SymbolicName: org.txm.statsengine.r.core.win32
 Bundle-Version: 1.0.0.qualifier
 Fragment-Host: org.txm.statsengine.r.core;bundle-version="1.0.0"
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Eclipse-PlatformFilter: (osgi.os=win32)
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.statsengine.r.core.win32
+Eclipse-BundleShape: dir

Index: TXM/trunk/org.txm.edition.rcp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.edition.rcp/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.edition.rcp/META-INF/MANIFEST.MF	(revision 3628)
@@ -9,7 +9,7 @@
  export
 Bundle-ActivationPolicy: lazy
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.edition.rcp
 
Index: TXM/trunk/org.txm.conllu.rcp/.classpath
===================================================================
--- TXM/trunk/org.txm.conllu.rcp/.classpath	(revision 3627)
+++ TXM/trunk/org.txm.conllu.rcp/.classpath	(revision 3628)
@@ -1,6 +1,13 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.8"/>
+	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.8">
+		<attributes>
+			<attribute name="module" value="true"/>
+		</attributes>
+		<accessrules>
+			<accessrule kind="accessible" pattern="**"/>
+		</accessrules>
+	</classpathentry>
 	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
 		<accessrules>
 			<accessrule kind="accessible" pattern="**"/>
Index: TXM/trunk/org.txm.conllu.rcp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.conllu.rcp/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.conllu.rcp/META-INF/MANIFEST.MF	(revision 3628)
@@ -5,7 +5,9 @@
 Bundle-Version: 1.0.0.qualifier
 Bundle-Vendor: textometrie.org
 Automatic-Module-Name: org.txm.ud.rcp
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Require-Bundle: org.txm.treesearch.rcp;bundle-version="1.0.0";visibility:=reexport,
  org.txm.conllu.core;visibility:=reexport
-Export-Package: org.txm.conllu.rcp.commands
+Export-Package: org.txm.conllu.rcp.commands,
+ org.txm.conllu.rcp.importsection,
+ org.txm.conllu.rcp.preferences

Index: TXM/trunk/org.txm.treetagger.core.win32/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.treetagger.core.win32/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.treetagger.core.win32/META-INF/MANIFEST.MF	(revision 3628)
@@ -4,6 +4,6 @@
 Bundle-SymbolicName: org.txm.treetagger.core.win32
 Bundle-Version: 1.0.0.qualifier
 Fragment-Host: org.txm.treetagger.core;bundle-version="1.0.0"
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.treetagger.core.win32

Index: TXM/trunk/org.txm.libs.args4j/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.libs.args4j/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.libs.args4j/META-INF/MANIFEST.MF	(revision 3628)
@@ -6,6 +6,6 @@
 Bundle-Version: 1.0.0.qualifier
 Require-Bundle: org.txm.searchengine.cqp.core;bundle-version="1.1.0"
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 

Index: TXM/trunk/org.txm.core.tests/.settings/org.eclipse.jdt.groovy.core.prefs
===================================================================
--- TXM/trunk/org.txm.core.tests/.settings/org.eclipse.jdt.groovy.core.prefs	(revision 3627)
+++ TXM/trunk/org.txm.core.tests/.settings/org.eclipse.jdt.groovy.core.prefs	(revision 3628)
@@ -1,3 +1,3 @@
 eclipse.preferences.version=1
-groovy.compiler.level=30
+groovy.compiler.level=40
 groovy.script.filters=**/*.dsld,y,**/*.gradle,n
Index: TXM/trunk/org.txm.core.tests/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.core.tests/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.core.tests/META-INF/MANIFEST.MF	(revision 3628)
@@ -1,7 +1,7 @@
 Manifest-Version: 1.0
 Bundle-SymbolicName: org.txm.tests.core;singleton:=true
-Export-Package: org.txm.core.tests.junit,org.txm.core.tests.manual,org
- .txm.rcp.commands.tests
+Export-Package: org.txm.core.tests.junit,
+ org.txm.core.tests.manual
 Bundle-Name: Core Toolbox Tests
 Bundle-Version: 1.0.0.qualifier
 Require-Bundle: org.txm.statsengine.r.core;visibility:=reexport,
@@ -22,16 +22,12 @@
  org.txm.progression.core;bundle-version="1.0.0";visibility:=reexport,
  org.txm.specificities.core;bundle-version="1.0.0";visibility:=reexport,
  org.txm.referencer.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.rcp;bundle-version="0.8.0";visibility:=reexport,
- org.polarion.eclipse.team.svn.connector.svnkit18;bundle-version="6.0.4";visibility:=reexport,
  org.eclipse.jdt.core;bundle-version="3.13.102";visibility:=reexport,
  org.txm.annotation.kr.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.chartsengine.svgbatik.rcp;bundle-version="1.0.0";visibility:=reexport,
  org.txm.internalview.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.properties.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.searchengine.cqp.rcp;bundle-version="1.0.0";visibility:=reexport
+ org.txm.properties.core;bundle-version="1.0.0";visibility:=reexport
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.tests.core
 
